SDL_IsJoystickHaptic(3)

NAME
SDL_IsJoystickHaptic - Query if a joystick has haptic features.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_IsJoystickHaptic(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     to test for haptic capabilities

RETURN VALUE
Returns SDL_TRUE
 if the joystick is haptic or SDL_FALSE
 if it isn't.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_OpenHapticFromJoystick(3)